## org.codehaus.plexus.util.cli
Class EnhancedStringTokenizer

    java.lang.Object
      org.codehaus.plexus.util.cli.EnhancedStringTokenizer

    public final class EnhancedStringTokenizer

extends java.lang.Object

The java.util.StringTokenizer is horribly broken. Given the string 1,,,3,,4 (, delim) It will return 1,3,4 Which is clearly wrong - 1,EMPTY,EMPTY,3,EMPTY,4 is what it should return

Version:
  $Id: EnhancedStringTokenizer.java 8010 2009-01-07 12:59:50Z vsiveton $

Constructor Summary
`EnhancedStringTokenizer(java.lang.String str)`
`EnhancedStringTokenizer(java.lang.String str, java.lang.String delim)`
`EnhancedStringTokenizer(java.lang.String str, java.lang.String delim, boolean returnDelims)`

Method Summary
`boolean` `hasMoreTokens()`
`java.lang.String` `nextToken()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnhancedStringTokenizer

    public EnhancedStringTokenizer(java.lang.String str)

### EnhancedStringTokenizer

    public EnhancedStringTokenizer(java.lang.String str,
                                   java.lang.String delim)

### EnhancedStringTokenizer

    public EnhancedStringTokenizer(java.lang.String str,
                                   java.lang.String delim,
                                   boolean returnDelims)

Method Detail

### hasMoreTokens

    public boolean hasMoreTokens()

### nextToken

    public java.lang.String nextToken()